### Method

# Soup Session send_and_read_finish

#### Declaration [src]

    GBytes*
    soup_session_send_and_read_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the response to a `soup_session_send_and_read_async()`.

If successful, returns a `GBytes` with the response body.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` passed to your callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A `GBytes`, or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.